Package com.sun.java.help.impl

# Class JHelpPrintHandler1_2

java.lang.Object
com.sun.java.help.impl.JHelpPrintHandler
com.sun.java.help.impl.JHelpPrintHandler1_2

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class JHelpPrintHandler1_2 extends JHelpPrintHandler
Print handler for JavaHelp. Handles all printer requests for printing in JDK1.2 and above. Because JDK1.1 is not supported since JavaHelp version 2.0 all code was moved into JHelpPrintHandler. This class is preserved for backward compatibility.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.java.help.impl.JHelpPrintHandler

`JHelpPrintHandler.JHPageable`

## Field Summary

### Fields inherited from class com.sun.java.help.impl.JHelpPrintHandler

`changeSupport, PAGE_SETUP_BUTTON_NAME, PRINT_BUTTON_NAME, PRINT_LATER_BUTTON_NAME`

## Constructor Summary

Constructors
Constructor
Description
`JHelpPrintHandler1_2(JHelp help)`

## Method Summary

### Methods inherited from class com.sun.java.help.impl.JHelpPrintHandler

`actionPerformed, addPropertyChangeListener, firePropertyChange, getHelpModel, getJHelpPrintHandler, getPageFormat, getPF, getPrinterJob, getViewRec, handlePageSetup, isEnabled, print, print, printSetup, processException, removePropertyChangeListener, setEnabled, setHelpModel, setPageFormat, setPF`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JHelpPrintHandler1_2

public JHelpPrintHandler1_2(JHelp help)